## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicError

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class SequenceEnumerator

Class Serializer

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmNode

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Enum TreeModel

    public enum TreeModel

implements object

  Enumeration identifying the different tree model implementations

Field Summary
`` | `TinyTree` Saxon TinyTree
`` | `LinkedTree` Saxon LinkedTree
`` | `Unspecified` Unspecified tree model

Field Detail

### TinyTree

    public  TinyTree

  Saxon TinyTree

### LinkedTree

    public  LinkedTree

  Saxon LinkedTree

### Unspecified

    public  Unspecified

  Unspecified tree model